MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025361Open CASCADE[OCCT] OCCT:Samplespublic2014-10-13 14:522014-11-12 09:53
Reporterapv 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025361: Sample "Voxel" crashes during "Demo - Collisions" demonstration
DescriptionSample "Voxel" crashes during "Demo - Collisions" demonstration
Steps To Reproduce1. Launch "Voxel" sample
2. Select menu "Demo" - "Collisions"
3. Wait
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0033052)
git (administrator)
2014-10-14 08:28

Branch CR25361 has been created by vro.

SHA-1: bfca0e5c8611d53343f4c11d7c1d3782c08ffc22


Detailed log of new commits:

Author: vro
Date: Tue Oct 14 08:28:47 2014 +0400

    Deletion of an array was incorrect.
(0033053)
vro (developer)
2014-10-14 08:31

Hello Alexey, the bug is fixed: CR25361. Deletion of an array of voxels was incorrect (I forgot [] brackets after delete operator). Could you revise it please?
(0033326)
bugmaster (administrator)
2014-10-20 13:40

Fix has been tested.
Sample is not crashed during executing "Demo" - "Collisions"
(0034317)
git (administrator)
2014-11-12 09:53

Branch CR25361 has been deleted by inv.

SHA-1: bfca0e5c8611d53343f4c11d7c1d3782c08ffc22

- Related Changesets
occt: master 7a13ab2d
Timestamp: 2014-10-14 04:28:47
Author: vro
Committer: bugmaster
Details ] Diff ]
0025361: Sample "Voxel" crashes during "Demo - Collisions" demonstration

Deletion of an array was incorrect.
mod - src/Voxel/Voxel_CollisionDetection.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-13 14:52 apv New Issue
2014-10-13 14:52 apv Assigned To => vro
2014-10-13 14:52 apv Test case number => Not needed
2014-10-14 08:28 git Note Added: 0033052
2014-10-14 08:31 vro Note Added: 0033053
2014-10-14 08:31 vro Assigned To vro => apv
2014-10-14 08:31 vro Status new => resolved
2014-10-20 13:38 bugmaster Assigned To apv => bugmaster
2014-10-20 13:39 bugmaster Status resolved => reviewed
2014-10-20 13:40 bugmaster Note Added: 0033326
2014-10-20 13:40 bugmaster Status reviewed => tested
2014-10-23 10:31 bugmaster Target Version => 6.8.0
2014-10-24 15:38 bugmaster Changeset attached => occt master 7a13ab2d
2014-10-24 15:38 bugmaster Status tested => verified
2014-10-24 15:38 bugmaster Resolution open => fixed
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed
2014-11-12 09:53 git Note Added: 0034317


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker